CloudCaptain Client changelog
=============================

Version 1.37.0 (2026-01-07)
---------------------------
- #309 OpenJDK 25 support
- Dropped support for the Gradle plugin

Version 1.36.2 (2024-05-07)
---------------------------
- OpenJDK 21 support

Version 1.36.1 (2024-02-01)
---------------------------
- #296 Automatically disable progress bar on GitHub Actions and BitBucket

Version 1.36.0 (2024-01-23)
---------------------------
- Support for Play 3.0 payloads
- Updated cacerts to 2024.01.20

Version 1.35.5 (2023-07-11)
---------------------------
- Support for larger payloads up to 1 GB

Version 1.35.4 (2023-07-10)
---------------------------
- Added support for m6in, r6in, c6in instances

Version 1.35.3 (2023-02-01)
---------------------------
- #228 Error on NewRelic keys for EU servers
- #281 Error on valid NewRelic keys

Version 1.35.2 (2022-01-12)
---------------------------
- Renamed Boxfuse to CloudCaptain in copyright message
- #257 Fixed ERROR: Hyper-V is not supported on your OS

Version 1.35.1 (2021-12-06)
---------------------------
- #262 Fixed support for m6i, r6i, c6i and db.t4g instances

Version 1.35.0 (2021-12-01)
---------------------------
- Default to OpenJDK 17

Version 1.34.0 (2021-11-27)
---------------------------
- #262 Added support for m6i, r6i, c6i and db.t4g instances

Version 1.33.9 (2021-11-03)
---------------------------
- #210 Fixed JMX Remote Access for Java 9+

Version 1.33.8 (2021-11-03)
---------------------------
- #210 OpenJDK 17.0.0.1 support with jdk.management.agent module

Version 1.33.7 (2021-11-02)
---------------------------
- #210 OpenJDK 17.0.0 support

Version 1.33.6 (2021-09-17)
---------------------------
- #259 Fix NewRelic Java agent download

Version 1.33.5 (2021-07-20)
---------------------------
- #254 Fix sysctl.conf support for Tomcat payloads

Version 1.33.4 (2021-05-27)
---------------------------
- Java 11 support (preview)

Version 1.33.3 (2020-02-10)
---------------------------
- New Relic license keys ending with NRAL support
- Do not launch JVM with -d64

Version 1.33.2 (2020-01-14)
---------------------------
- RDS 2019 certificates for JVM apps support

Version 1.33.1 (2019-11-27)
---------------------------
- RDS 2019 certificates for Node.js apps support

Version 1.33.0 (2018-08-23)
---------------------------
- Spring Boot 2.0 support
- t3 and r5 EC2 instance support

Version 1.32.2 (2018-03-20)
---------------------------
- Fix /tmp mounting for NVMe volumes (m5 and c5 instances)

Version 1.32.1 (2018-02-20)
---------------------------
- AWS long IDs support

Version 1.32.0 (2018-02-12)
---------------------------
- Private Vault support

Version 1.31.1 (2018-01-23)
---------------------------
- Fixed NVMe storage detection
- Fixed Node.js debugging in newer Node versions

Version 1.31.0 (2018-01-18)
---------------------------
- Added M5 and C5 EC2 instance support
- Upgraded to Linux 4.14.14

Version 1.30.4 (2018-01-09)
---------------------------
- JMX: Fall back to private IP if the instance doesn't have a public one.

Version 1.30.3 (2017-11-16)
---------------------------
- Added support for /dev/stdin, /dev/stdout and /dev/stderr device files
- Fixed an issue with incomplete capacity definitions
- Bug fixes

Version 1.30.2 (2017-10-20)
---------------------------
- Improved robustness of open when no image was specified
- Extract json files from the root of DropWizard jar files to the filesystem (analog to what is already happening for yml and jks files)

Version 1.30.1 (2017-10-04)
---------------------------
- Improved robustness of invalid Dropwizard config file parsing

Version 1.30.0 (2017-10-03)
---------------------------
- Added load-balanced-https app support
- Fixed issue when attempting to remove non-existent image
- Fixed issue with open for one-off and worker apps

Version 1.29.1 (2017-09-15)
---------------------------
- Fixed display issue with logs with tail disabled
- Fixed Hyper-V log tailing

Version 1.29.0 (2017-09-04)
---------------------------
- One-off app support

Version 1.28.7 (2017-08-23)
---------------------------
- Fixed an issue with Hyper-V logs hanging

Version 1.28.6 (2017-08-08)
---------------------------
- Fixed VirtualBox NAT Network forwarding rules
- Avoid Gradle throwing ClassCastException when inadvertently passing int values instead of Strings for certain properties

Version 1.28.5 (2017-08-03)
---------------------------
- Node.js apps started with -live now auto-reload on json file changes
- Bug fixes

Version 1.28.4 (2017-07-13)
---------------------------
- Improved auto-configuration for Play 2.6
- More robust Hyper-V VM creation for slightly broken Hyper-V installations

Version 1.28.3 (2017-07-10)
---------------------------
- Allow overriding SPRING_PROFILES_ACTIVE during image fuse

Version 1.28.2 (2017-07-02)
---------------------------
- Fixed Hyper-V detection on certain Windows installations

Version 1.28.1 (2017-06-30)
---------------------------
- Switched to https for all third party component download sites
- Fixed NPE on certain macOS configurations

Version 1.28.0 (2017-06-28)
---------------------------
- Added dev environment support for Hyper-V on Windows 10 Pro machines

Version 1.27.1 (2017-06-07)
---------------------------
- Fixed domain configuration regression

Version 1.27.0 (2017-06-06)
---------------------------
- Added support for custom AWS tags to be added to AWS resources in addition to the default Boxfuse ones
- Fail fast on invalid config parameters and misspellings
- Fixed manual database type override
- Fixed minimal VirtualBox version error message
- The default number of CPUs for a VirtualBox instance is now 2
- The default for virtualbox.natnetwork is now false

Version 1.26.7 (2017-05-20)
---------------------------
- Automatically adjust Linux file-max user limits to the current kernel limits

Version 1.26.6 (2017-05-19)
---------------------------
- Fixed an issue with the MySQL JDBC driver not being able to access the root certificates from the truststore

Version 1.26.5 (2017-05-17)
---------------------------
- Fixed issue when parsing Play configuration with unresolved placeholders
- Tomcat, TomEE, Node.js and Spring Loaded are now fetched directly from archive.apache.org, nodejs.org and repo.spring.io instead of the Boxfuse Inventory

Version 1.26.4 (2017-05-08)
---------------------------
- Fixed regression for JVM apps that explicitly set the main class

Version 1.26.3 (2017-05-08)
---------------------------
- Fixed TLS (acm) support for Play
- New Relic Java and Linux agents are now fetched directly from download.newrelic.com instead of the Boxfuse Inventory

Version 1.26.2 (2017-05-03)
---------------------------
- Added support for specifying Linux kernel arguments with -linux.args
- Fixed jvm.jmx password file permission issue

Version 1.26.1 (2017-04-25)
---------------------------
- Added support for automatic TLS (SSL) certificates for load-balanced apps using AWS Certificate Manager
- Better detection of Play projects that only use Build.scala instead of build.sbt

Version 1.26.0 (2017-04-16)
---------------------------
- Upgraded to Linux 4.9 kernel
- Dropped support for VirtualBox 4.2 and 4.3 (both outdated and unsupported by Oracle) due to lack of compatibility with newer Linux kernel. Boxfuse now requires VirtualBox 5.0 or newer.
- Added initial ability to mount Elastic File Systems
- Bug fixes

Version 1.25.7 (2017-04-06)
---------------------------
- Added support for http and https protocols in port definitions
- Bug fixes

Version 1.25.6 (2017-03-31)
---------------------------
- Added support for the new longer New Relic keys
- Fixed support for custom JREs to use JMX remote passwords
- Bug fixes

Version 1.25.5 (2017-03-24)
---------------------------
- CloudWatch Logs: logs.layout support
- Bug fixes

Version 1.25.4 (2017-03-22)
---------------------------
- CloudWatch Logs: TRACE log level support
- Bug fixes

Version 1.25.3 (2017-03-20)
---------------------------
- CloudWatch Logs: prefix and suffix wildcard filtering support
- CloudWatch Logs: message filtering support
- Node.js: Native bin and lib support

Version 1.25.2 (2017-03-15)
---------------------------
- Bug fixes

Version 1.25.1 (2017-03-01)
---------------------------
- Custom elastic IP support

Version 1.25.0 (2017-02-23)
---------------------------
- Custom domain support
- Prevent uncompiled JHipster 4 apps to be picked up as Node.js
- Gradle Plugin is now compatible with Spring Boot 1.5 and newer

Version 1.24.9 (2017-02-17)
---------------------------
- More JHipster 4 compatibility fixes

Version 1.24.8 (2017-02-16)
---------------------------
- Fixed JHipster 4 compatibility
- Autodetect disabled Spring Boot health endpoint
- Better detection of Node.js applications that require npm or yarn to start

Version 1.24.7 (2017-02-15)
---------------------------
- Better auto-recovery for CloudWatch Logs Mock startup issues
- Improved retries for failed downloads

Version 1.24.6 (2017-02-10)
---------------------------
- Fixed usage of logs.filters.level
- Bug fixes

Version 1.24.5 (2017-01-24)
---------------------------
- JVM apps: support for including native binaries and libs
- Extended AWS r4 instance support to all supported regions
- Bug fixes

Version 1.24.4 (2017-01-17)
---------------------------
- Fixed startup of Tomcat and Play images with a custom JRE
- Bug fixes

Version 1.24.3 (2017-01-15)
---------------------------
- Bug fixes

Version 1.24.2 (2017-01-13)
---------------------------
- VirtualBox with CloudWatch Logs: Fixed messages from previous instances of the same app being displayed on boot
- Commandline Client: Fixed a regression when calling run with an explicit payload name
- Bug fixes

Version 1.24.1 (2017-01-06)
---------------------------
- Print exit code in instance logs if application process terminates
- Bug fixes

Version 1.24.0 (2017-01-04)
---------------------------
- New applications now use CloudWatch Logs by default
- Support for larger payloads up to 512 MB
- Vastly reduced memory usage when fusing payloads larger than 128 MB by buffering on disk
- AWS ca-central-1, eu-west-2 and us-east-2 region support
- AWS t2.xlarge, t2.2xlarge, m4 and r4 instance type support
- Tomcat: support for user-supplied server.xml file

Version 1.23.4 (2016-12-08)
---------------------------
- Extended log filtering support with start, end and limit filters
- Bug fixes

Version 1.23.3 (2016-11-26)
---------------------------
- Fixed overriding -Xmx and -Xms with custom values
- Fixed version number extraction for tar.gz files

Version 1.23.2 (2016-11-22)
---------------------------
- Expose private IP address of instance as BOXFUSE_INSTANCE_IP_PRIVATE environment variable
- Bug fixes

Version 1.23.1 (2016-11-19)
---------------------------
- insecure flag support to disable TLS certificate chain validation
- Bug fixes

Version 1.23.0 (2016-11-15)
---------------------------
- Generic Linux x64 app support
- Spring Boot: support for extracting default values from ${varname:value} config values
- Convert: now uses the region of the environment specified by the env property
- Command-line: convert now exposes the region of the AMI as a machine-readable property
- Maven: convert now exposes the id and region of the AMI as a Maven property
- Gradle: convert now exposes the id and region of the AMI as a Gradle property
- Bug fixes

Version 1.22.4 (2016-11-10)
---------------------------
- Log filtering support for Maven and Gradle plugins
- Bug fixes

Version 1.22.3 (2016-11-09)
---------------------------
- Log filtering support
- Colorized output

Version 1.22.2 (2016-10-28)
---------------------------
- Support for all R3 instance sizes in sa-east-1
- Bug fixes

Version 1.22.1 (2016-10-24)
---------------------------
- New Relic support
- Bug fixes

Version 1.22.0 (2016-09-22)
---------------------------
- CloudWatch Logs support
- Renamed apptype configuration setting to app.type
- Renamed dbtype configuration setting to db.type
- Bumped minimum required Maven version to 3.1.1
- Fixed support for GitHub accounts containing only digits
- Fixed CA certificates for Go apps

Version 1.21.8 (2016-08-21)
---------------------------
- Bug fixes

Version 1.21.7 (2016-08-19)
---------------------------
- Fixed error when fusing images for Play apps without any jvm.args specified

Version 1.21.6 (2016-08-19)
---------------------------
- Enable prod profile for JHipster by default
- Disable virtualbox.natnetwork by default
- Added TomEE datasource auto-configuration
- Added possibility to override Play database auto-configuration

Version 1.21.5 (2016-08-18)
---------------------------
- JHipster support
- Bug fixes

Version 1.21.4 (2016-08-12)
---------------------------
- Bug fixes

Version 1.21.3 (2016-08-11)
---------------------------
- Fixed an issue with Play keystore handling
- Bug fixes

Version 1.21.2 (2016-08-09)
---------------------------
- Go and Revel support
- Spring Boot "fully executable jar" support
- Bug fixes

Version 1.21.1 (2016-08-04)
---------------------------
- Bug fixes

Version 1.21.0 (2016-08-03)
---------------------------
- Worker apps support
- Added support for Spring Boot and Grails executable war files
- Added virtualbox.natnetwork networking mode for VirtualBox 5.1 and newer
- Image creation is now up to 25% faster

Version 1.20.9 (2016-07-25)
---------------------------
- Automatically expose AWS credentials from ~/.aws/credentials inside VirtualBox instances
- Bug fixes

Version 1.20.8 (2016-07-21)
---------------------------
- Fixed Spring Boot Java agents issue
- Bug fixes

Version 1.20.7 (2016-07-20)
---------------------------
- Fixed Command-line Client upgrade issue

Version 1.20.6 (2016-07-20)
---------------------------
- Fixed environment variable issue for run and AWS environments

Version 1.20.5 (2016-07-19)
---------------------------
- Added VirtualBox 5.1 support
- Added machine-readable output with -m
- Fixed overriding of Spring Boot http or https port during run
- Fixed exposing environment variables with spaces as system properties for JVM apps
- Fixed empty subnets error when using Gradle plugin
- Bug fixes

Version 1.20.4 (2016-07-11)
---------------------------
- Fixed issue with longer instance IDs not being recognized

Version 1.20.3 (2016-07-10)
---------------------------
- Environment Variables can now contain special characters
- Added support for also automatically loading environment-specific config files in addition to the general ones

Version 1.20.2 (2016-07-08)
---------------------------
- Environment Variables can now be fused into an image and optionally overridden when launching an instance
- Bug fixes

Version 1.20.1 (2016-07-07)
---------------------------
- Added live reloading support in dev for Linux
- Faster live reloading for Windows and Mac OSX
- Added support for loading Spring Boot config from the config package in addition to the classpath root
- More robust parsing of Play configs
- Added AWS ap-south-1 (Mumbai) region support
- Node.js engine version, app name and app version can now also be autodetected directly from package.json
- Bug fixes

Version 1.20.0 (2016-06-30)
---------------------------
- Added live reloading support in dev for Windows and Mac OSX
- Restored compatibility with VirtualBox 4.2

Version 1.19.12 (2016-06-19)
----------------------------
- More fixes for Turkish locale

Version 1.19.11 (2016-06-18)
----------------------------
- Fixed image generation on computers with a Turkish locale

Version 1.19.10 (2016-06-17)
----------------------------
- Bug fixes

Version 1.19.9 (2016-06-16)
---------------------------
- Fixed issue with cacerts when using the Oracle JRE

Version 1.19.8 (2016-06-10)
---------------------------
- Apps can now be reconfigured directly as part of the run command

Version 1.19.7 (2016-06-08)
---------------------------
- Capacity can now be set directly as part of the run command

Version 1.19.6 (2016-06-02)
---------------------------
- Support for custom JREs (like the Oracle JRE) to replace the default OpenJDK one

Version 1.19.5 (2016-05-28)
---------------------------
- VirtualBox: Wait for Dev VM to boot database before starting app instances
- Added sysctl.conf support for tuning kernel parameters

Version 1.19.4 (2016-05-23)
---------------------------
- Added support for Node.js LTS releases (0.10, 0.12, 4)

Version 1.19.3 (2016-05-18)
---------------------------
- Fixed hang introduced in 1.19.2 when fusing using the CLI

Version 1.19.2 (2016-05-17)
---------------------------
- Ports can now be overridden when invoking run on an existing image
- Improved NewRelic config file parsing
- Major performance improvement for fusing images

Version 1.19.1 (2016-05-14)
---------------------------
- Bug fixes

Version 1.19.0 (2016-05-13)
---------------------------
- create and destroy are now idempotent
- Fixed healthcheck when explicitly setting healthcheck.port to http
- Fixed Java Agents support for Spring Boot 1.4
- Bug fixes

Version 1.18.7 (2016-03-23)
---------------------------
- Added Node.js database support

Version 1.18.6 (2016-03-21)
---------------------------
- Added the ability to display important notifications about your account

Version 1.18.5 (2016-03-19)
---------------------------
- Added destroy command to destroy apps from the client

Version 1.18.4 (2016-03-16)
---------------------------
- Improved command-line argument validation
- Added easy JCE crypto policy override
- Bug fixes

Version 1.18.3 (2016-03-15)
---------------------------
- Better ls output for Node.js apps
- Bug fixes

Version 1.18.2 (2016-03-11)
---------------------------
- Fixed error when explicitly selecting TomEE 7.0.0-M3 components

Version 1.18.1 (2016-03-10)
---------------------------
- Added TomEE 7.0 support

Version 1.18.0 (2016-03-03)
---------------------------
- Added initial Node.js support

Version 1.17.8 (2016-02-29)
---------------------------
- Fixed rare cases where the Dev VM fails to start due to read-only file system permissions
- Fixed CPU count detection on broken OSes
- Fixed VirtualBox 4.3 compatibility

Version 1.17.7 (2016-02-27)
---------------------------
- Added Spring Boot 1.4.0.M1 and newer compatibility
- Fixed info for certain applications with no database

Version 1.17.6 (2016-02-23)
---------------------------
- Added Play KeyStore auto-configuration
- Minor bug fixes and sanity checks

Version 1.17.5 (2016-02-18)
---------------------------
- More robust handling of broken Dropwizard config files
- Minor bug fixes

Version 1.17.4 (2016-02-17)
---------------------------
- Added Slick datasource auto-configuration for Play 2.4+ payloads
- Added jvm.jmx property
- Allow -tmp= to set temp space size when running existing images

Version 1.17.3 (2016-02-16)
---------------------------
- Fixed PostgreSQL and MySQL detection for projects built with SBT
- Fixed passing of Play 2.3 database user

Version 1.17.2 (2016-02-15)
---------------------------
- Fixed error message when attempting to remove non-existent images
- Enabled info for apps that haven't got any images yet

Version 1.17.1 (2016-02-13)
---------------------------
- Fixed detection of Play 2.3 config files inside broken Play dist zips

Version 1.17.0 (2016-02-12)
---------------------------
- Added MySQL support
- Added DB type autodetection for plain executable jars
- Added open -db
- Added info

Version 1.16.4 (2016-02-04)
---------------------------
- Fixed detection of correct DB type for new apps create via the Boxfuse Console
- Improved handling of broken zip files

Version 1.16.3 (2016-02-03)
---------------------------
- Added PostgreSQL driver autodetection for Tomcat and TomEE
- Better auto-selection of shaded artifacts

Version 1.16.2 (2016-02-02)
---------------------------
- Images now automatically perform a thread dump to stdout when an OutOfMemoryError occurs
- More robust handling of Broken VirtualBox installations

Version 1.16.1 (2016-01-30)
---------------------------
- More robust handling of corrupted Dev VMs
- Added New Relic for Play support

Version 1.16.0 (2016-01-28)
---------------------------
- Added Database management and PostgreSQL Dev VM support

Version 1.15.7 (2016-01-22)
---------------------------
- Fixed upload retries on TLS negotiation errors

Version 1.15.6 (2016-01-18)
---------------------------
- Better support for building images on CodeShip
- Added support for JavaAgents with files in subfolders

Version 1.15.5 (2016-01-06)
---------------------------
- More robust retry logic for resumable uploads

Version 1.15.4 (2015-12-31)
---------------------------
- Fixed an issue with pulling image pushed with the new resumable upload

Version 1.15.3 (2015-12-30)
---------------------------
- logs.tail now also works with boxfuse run (VirtualBox only)
- Fixed bringing up instance-specific logs inside a project directory

Version 1.15.2 (2015-12-28)
---------------------------
- Uploads to the Vault are now resumable and more robust on slow/flaky networks

Version 1.15.1 (2015-12-27)
---------------------------
- Support Play http/https port and payload/healthcheck path configuration via application.conf
- Bug fixes

Version 1.15.0 (2015-12-22)
---------------------------
- Added Grails support
- Added Spring Boot application.yml config support
- Bug fixes

Version 1.14.1 (2015-12-10)
---------------------------
- Give all instances 1 GB of temp space by default
- Spring Boot config detection now automatically also falls back to application-default.properties and application.properties
- Automatically configure TomEE ActiveMQ to use /tmp for temp space
- Automatically configure the Spring Boot Actuator disk space health check to monitor /tmp
- Bug fixes

Version 1.14.0 (2015-12-09)
---------------------------
- Added support for temp storage mounted under /tmp
- Auto-correct scaling alarm duration that is not a multiple of 60 to the nearest allowed value

Version 1.13.7 (2015-12-08)
---------------------------
- Fixed a bug with the command-line client update on Mac OSX and Linux
- Bug fixes

Version 1.13.6 (2015-11-27)
---------------------------
- Bug fixes

Version 1.13.5 (2015-11-25)
---------------------------
- Added auto-scaling based on network I/O

Version 1.13.4 (2015-11-17)
---------------------------
- Bug fixes

Version 1.13.3 (2015-11-13)
---------------------------
- Bug fixes

Version 1.13.2 (2015-11-12)
---------------------------
- Ignore javadoc and source jars in payload autodetection
- Bug fixes

Version 1.13.1 (2015-11-11)
---------------------------
- Autodetect payloads in Maven, Gradle & Play project structures
- Boxfuse is now smarter about not regenerating identical images
- Bug fixes

Version 1.13.0 (2015-11-09)
---------------------------
- Added support for Play 2.3 and newer
- Boxfuse will now by default try to map VirtualBox instance ports to the same local ports if available
- Bug fixes

Version 1.12.2 (2015-10-25)
---------------------------
- Added support for auto-scaling

Version 1.12.1 (2015-10-20)
---------------------------
- Fixed JRE detection on Windows

Version 1.12.0 (2015-10-19)
---------------------------
- Allow Spring Boot http and https configuration to be set via -ports.http and -ports.https
- The BOXFUSE_INSTANCE_IP is now always correctly set to the externally reachable IP address of the instance
- Added support for udp ports
- Added support for restricted ports

Version 1.11.8 (2015-10-15)
---------------------------
- Fixed Java Agents path for Spring Boot, Dropwizard and Executable Jar payloads
- Also extract non-.jar files from /javaagents directory for Spring Boot, Dropwizard and Executable Jar payloads
- Always export Boxfuse environment variables before user-defined ones

Version 1.11.7 (2015-10-14)
---------------------------
- Bug fixes

Version 1.11.6 (2015-10-13)
---------------------------
- Bug fixes

Version 1.11.5 (2015-10-07)
---------------------------
- Added support for NTLM proxies
- Bug fixes

Version 1.11.4 (2015-10-05)
---------------------------
- Added support for use the client behind a network proxy

Version 1.11.3 (2015-10-03)
---------------------------
- App names may now contain single dashes
- Bug fixes

Version 1.11.2 (2015-09-30)
---------------------------
- Bug fixes

Version 1.11.1 (2015-09-30)
---------------------------
- Increased healthcheck connection read timeout to 10 seconds
- Bug fixes

Version 1.11.0 (2015-09-28)
---------------------------
- Added TomEE support

Version 1.10.2 (2015-09-19)
---------------------------
- Output current Boxfuse configuration in debug output

Version 1.10.1 (2015-09-16)
---------------------------
- Improved robustness for flaky health checks

Version 1.10.0 (2015-09-07)
---------------------------
- Added cfg command to (re)configure environments

Version 1.9.7 (2015-09-03)
--------------------------
- Bug fixes

Version 1.9.6 (2015-08-28)
--------------------------
- Do not fail when the MAC address could not be detected
- Bug fixes

Version 1.9.5 (2015-08-27)
--------------------------
- Fixed port in use detection for Mac OSX

Version 1.9.4 (2015-08-22)
--------------------------
- Workaround for VirtualBox defect leading to rare VM start failures on Windows hosts
- Changed default boxfuse.yml Dropwizard config to only log at WARN level and higher
- Redesigned inventory display

Version 1.9.3 (2015-08-18)
--------------------------
- Added support for 4.x Linux kernels
- Improved VirtualBox performance for images using Linux kernel 4.x
- Improved EC2 performance for all images

Version 1.9.2 (2015-08-16)
--------------------------
- Fixed Spring Boot default port when application-boxfuse.properties exists
- Force Spring Boot disk space health check to be disabled
- Fixed overriding Dropwizard port definitions with boxfuse.ports

Version 1.9.1 (2015-08-15)
--------------------------
- Setting a property to an empty value will now unset the property
- Bug fixes

Version 1.9.0 (2015-08-14)
--------------------------
- Added convert command for separate image to AMI conversion

Version 1.8.10 (2015-08-12)
---------------------------
- Added support for Spring Boot management.port config property
- Fixed ps for the test environment

Version 1.8.9 (2015-07-29)
--------------------------
- Bug fixes

Version 1.8.8 (2015-07-28)
--------------------------
- Auto-extract keystore files (.jks and .keystore) from Spring Boot jars
- Bug fixes

Version 1.8.7 (2015-07-27)
--------------------------
- Bug fixes

Version 1.8.6 (2015-07-25)
--------------------------
- Auto-extract keystore files (.jks and .keystore) from Dropwizard jars
- Bug fixes

Version 1.8.5 (2015-07-24)
--------------------------
- Bug fixes

Version 1.8.4 (2015-07-20)
--------------------------
- Added support for payload.port & payload.path
- Bug fixes

Version 1.8.3 (2015-07-19)
--------------------------
- Added support for custom Spring Boot context, servlet and admin paths
- Bug fixes

Version 1.8.2 (2015-07-17)
--------------------------
- Expose environment name as BOXFUSE_ENV environment variable within instance
- Bug fixes

Version 1.8.1 (2015-07-14)
--------------------------
- Now compatible with VirtualBox 5 on all platforms

Version 1.8.0 (2015-07-05)
--------------------------
- Added scale command
- Much faster startup for large WAR-based payloads
- Also allow to enable debug & debug.wait with run, instead of only with fuse

Version 1.7.1 (2015-06-17)
--------------------------
- Fixed JRE font handling
- Bug fixes

Version 1.7.0 (2015-06-10)
--------------------------
- Added new create command to clients
- Create new apps automatically from client on push

Version 1.6.2 (2015-06-05)
--------------------------
- Fixed running under Cygwin
- Bug fixes

Version 1.6.1 (2015-05-25)
--------------------------
- Bug fixes

Version 1.6.0 (2015-05-19)
--------------------------
- Spring Boot support
- Added OS-specific distributions containing a JRE
- Bug fixes

Version 1.5.2 (2015-05-09)
--------------------------
- Bug fixes

Version 1.5.1 (2015-05-07)
--------------------------
- Improved support for systems without VirtualBox installed
- Progress bars & spinners are now automatically disabled on CI servers

Version 1.5.0 (2015-05-07)
--------------------------
- Added support for test environment on AWS
- Credentials can now also be passed in via the BOXFUSE_USER and BOXFUSE_SECRET environment variables

Version 1.4.0 (2015-05-03)
--------------------------
- Added automatic instance logs on startup
- Added property logs.auto to disable automatic instance logs on startup
- Allow jvm.args, jvm.main.class and jvm.main.args to be passed in at instance launch
- Bug fixes

Version 1.3.3 (2015-04-30)
--------------------------
- Fall back to new generated version in case of conflict during fuse

Version 1.3.2 (2015-04-24)
--------------------------
- Fixed out of memory error for large payloads

Version 1.3.1 (2015-04-23)
--------------------------
- Increased maximum payload size to 300 MB

Version 1.3.0 (2015-04-22)
--------------------------
- Added Dropwizard support
- Added healthcheck.port setting
- Increased default healthcheck timeout to 300 seconds
- Bug fixes

Version 1.2.0 (2015-03-24)
--------------------------
- Environment variables are now automatically also exposed as JVM system properties
- Renamed env.NAME -> envvars.NAME
- Fixed http -> https redirection for Tomcat on VirtualBox
- Fixed Maven plugin usage without payload

Version 1.1.0 (2015-03-23)
--------------------------
- Added kill, logs and open for AWS Instances
- Added rm for Boxfuse Vault Images
- Bug fixes

Version 1.0.3 (2015-03-07)
--------------------------
- Bug fixes

Version 1.0.2 (2015-02-27)
--------------------------
- Bug fixes

Version 1.0.1 (2015-02-24)
--------------------------
- Bug fixes

Version 1.0.0 (2015-02-24)
--------------------------
- Initial public release
